apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    defaultConfig {
        //applicationId "com.base.utils"
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        multiDexEnabled true
        javaCompileOptions {
            annotationProcessorOptions {
                includeCompileClasspath = true
            }
        }

        javaCompileOptions {

            annotationProcessorOptions {

                arguments = [moduleName :project.getName() ]

            } }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        repositories {
            flatDir {
                dirs 'libs' //this way we can find the .aar file in libs folder
            }
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })

    api  project(path:':Animset')
    api  project(path:':SweetDialog')
    api  project(path:':Resource')

    //MultiDex 解决 64K 限制,方法数超过65535  与鲁班压缩版本不一致辞
    api  'com.android.support:multidex:1.0.2'
    //老的http
    api  files('libs/org.apache.http.legacy.jar')


    //   Gson
    //api  'com.squareup.retrofit2:converter-gson:2.1.0'
    api "com.google.code.gson:gson:$rootProject.ext.gsonVersion"

    //AutoLayout
    //compile  'com.zhy:autolayout:1.4.5'
    //DialogPlus   https://github.com/orhanobut/dialogplus
    api  'com.orhanobut:dialogplus:1.11@aar'
    //事件总线
    api  "org.greenrobot:eventbus:$rootProject.ext.eventBusVersion"
    //高德定位
    api  'com.amap.api:location:4.5.0'


    api'com.alibaba:arouter-api:1.3.1'
    annotationProcessor'com.alibaba:arouter-compiler:1.1.4'

}
